﻿# Здесь будет скрипт вашей визуальной новеллы.

init:
    # Здесь объявляют изображения, фоновые и персонажей. Командами вроде:
    # image eileen happy = "eileen_happy.png"

    # Здесь также объявляют персонажей, участвующих в новелле (не забудте про u перед русскоязычными именами!).
    

    image bg square = "img/square.jpg"
    image bg victory = "img/all_hail_victory.jpg"

    image cccp = "img/char_cccp_base.png"
    image cccp sad = "img/char_cccp_sad.png"
    image slavya = "img/char_slavya_base.png"
    image slavya sad = "img/char_slavya_sad.png"

    image slavya happy = LiveComposite(
        (327, 565),
        (0, 0), "img/char_slavya_base.png",
        (146, 88), anim.SMAnimation("a",
            anim.State("a", "img/temp_s_eye_1.png"),
            anim.State("b", "img/temp_s_eye_2.png"),
            anim.State("c", "img/temp_s_eye_3.png"),
            anim.Edge("a", 2.0, "a", prob=2),
            anim.Edge("a", 0.06, "b"),
            anim.Edge("b", 0.06, "c"),
            anim.Edge("c", 0.14, "a"),
        ),
        )

    image cccp happy = LiveComposite(
        (330, 547),
        (0, 0), "img/char_cccp_base.png",
        (84, 118), anim.SMAnimation("a",
            anim.State("a", "img/temp_c_eye_1.png"),
            anim.State("b", "img/temp_c_eye_2.png"),
            anim.State("c", "img/temp_c_eye_3.png"),
            anim.Edge("a", 2.0, "a", prob=2),
            anim.Edge("a", 0.06, "b"),
            anim.Edge("b", 0.06, "c"),
            anim.Edge("c", 0.14, "a"),
        ), 
        
        #anim.Filmstrip("img/char_cccp_eyes.png", (91, 42), (3, 1), .1),
        )

    $ u = Character(u'Славя', show_two_window=True, color="#5bcdee")
    $ s = Character(u'СССР-тян', show_two_window=True, color="#ffe641")


# Отсюда начинается игра.
label start:

    play music "music/RedOctober.mp3"

    scene bg square with fade

    show cccp  happy at right with dissolve
    
    s "Привет, Славя! — радостно помахала рукой девочка."
    s "Смотри! У меня есть диск «Сталин против Марсиан»."
    s "«Сталин повелеват танцевать!»"
    "СССР-тян звонко рассмеялась."

    show slavya happy at left with dissolve

    s "Ух ты! А чего ты так вырядилась?"
    u "А ты не знаешь? Сегодня же 9 Мая! Великий праздник."
    s "Какой это такой праздник? — не поняла Cсср-тян."
    u "Маленькая глупышка, это же День Победы!"
    u "День Победы — праздник победы СССР над нацистской Германией в Великой Отечественной войне 1941—1945 годов. Отмечается 9 мая."
    s "194.. это когда было?"
    u "В этом году ей исполняется 64 года."
    s "Тюю, какая древность."
    s "Я забыла." 
    "Cсср озорно высунула язык."
    u "Глупая~. Нельзя забывать."
    u "Это важный праздник. Твой прадед и мой прадед вместе воевали за родную землю, лили кровь и теряли товарищей."
    s "Ну и что тут такого? Их заставили: дали в руки оружие и погнали на войну, сами бы они ни за что воевать не захотели. Дураков нет идти умирать."
    s "И ничего я не глупая. Все так и было, я знаю."
    u "..."
    u "Вот у тебя есть что-то ценное в жизни?"
    s "Ммм... Интернет..."
    s "..."
    s "...и мама"
    "Подумав немного, добавила СССР-тян."
    u "Хм... интернет..."
    u "Ладно, вот представь, что на твой интернет напал большо-о-ой-большой грабитель интернетов. Он наверняка ограбит твой интернет, и маму прихватит за компанию. Тебя устроит?"
    s "Нет, конечно! Я возьму утюг и как тресну ему!"
    u "Но он большой, грозный и тебя тоже треснет — мало не покажется."
    s "Все равно."
    "СССР-тян шмыгнула носом."
    s "А чего он: пришел, куда не звали, и вздумал брать, чего не предлагали. Не позволю. Тресну тяжелым и пусть знает — заработает черепно-мозговую травму."
    u "Тебя никто не заставляет это делать, верно?"
    u "Защищать родные вещи это естественная реакция."
    u "22 июня 1941 г. стал днем великой трагедии. Немецкая авиация нанесла массированый удар по аэродромам и стоявшим там самолетам."
    u "Мы понесли большие потери и потеряли инициативу. На войне это равносильно поражению."
    u "По стране поползла черная, выжженная полоса, отмечающая продвижения захватчика: разрушенные города, разграбленные населенные пункты, сожженные деревни, расстрелянное и замученное население. Про концлагеря слышала?"
    "СССР-тян молчит."
    u "Славян предписывалось уничтожить, освободить занимаемые ими земли. Понимаешь, что тебе угрожало?"
    u "Не было в планах Вермахта, чтобы ты жила на свете."
    u "«Немецкие дети лучше» — так они считали."

    show cccp sad at right

    s "Так что — я, значит, ненужная?"
    "На глаза СССР-тян навернулись слезы."
    u "Тише, тише. Ты нужная. Конечно же, ты нужная."
    u "Мы победили, несмотря ни на что."
    u "Сегодня у тебя есть мама, интернет, битарды — семеро по лавкам... они говорят по-русски, доставляют лулзы и от тебя ждут того же."
    u "Все обошлось."
    u "Ты нужна им."
    s "*sob* *sob*"
    u "Твой прадед шел на танки, потому что знал — так будет правильно."
    u "Во время большой опасности человек перестает мыслить как эгоистичное животное, он думает за всех. А когда думаешь за всех, то личная судьба отходит на второй план."
    u "Когда каждый чувствует личную ответственность за друга, за коллектив — это рождает огромную силу."
    u "Это пример великой доблести и самоотверженности. Нам надо помнить героев потерявших жизни, ради жизни детей еще не родившихся."
    s " ... "
    s "Мне стало грустно."
    u "...говорят, это праздник со слезами на глазах."
    "Славя замолчала и посмотрела в сторону."
    u "Я сейчас вспоминаю своего прадеда. Когда я была маленькая, а он был еще живой — он всегда в этот день одевал свою старую, пропахшую нафталином, форму."
    u "На левом боку, там где сердце, висели тяжелые ордена и медали."

    show slavya sad at left    

    u "Он брал меня на руки и мы вместе шли в парк Победы. Там играл военный оркестр, а день был светлым и погожим."
    "На глаза Славя навернулись слезы."
    u "Прости, мне почему-то грустно вспоминать."
    u "Деда уже нет. Но я навсегда запомнила его взгляд, когда он смотрел на других, таких же пожилых старичков."
    u "В нем читались слова: «Ты был ты там. Ты понимаешь. Ты чувствовал то же, что и я. Ты потерял столько же и выжил, чтобы заплатить еще больше»."
    u "А потом смотрел на меня и все исчезало — он улыбался."
    u "Дети, по совей природе,  эмпаты. Могут не понимать слова взрослых, не знать, что происходит, но всегда правильно чувствуют настроение и эмоции."
    u "Эту эмоцию я больше нигде и никогда не встречала."
    u "Сейчас люди не такие, проще. Он же стал чем-то большим. Большим, чем может стать один человек."
    s "..."
    u "Это чувство оставило глубокий отпечаток в моей памяти, и потому я сегодня надела военную форму."
    s "Мама говорила, что мой прадед тоже воевал"
    s "У нас сохранилась его каска."
    s "Надену ее и пойду сегодня в парк Победы." 
    s "Посмотрю на танки, на вечный огонь."
    s "Если встречу ветерана — подарю цветы."
    
    scene bg victory with fade
    $ renpy.pause(15.0)